package com.pcloud.common.core.dto;

import java.io.Serializable;

/**
 * @描述：待办事务统计
 * @作者：zhuyajie
 * @创建时间：10:36 2018/10/31
 * @版本：1.0
 */
public class BacklogQueueDto implements Serializable{

    /**
     * 编辑id
     */
    private Long adviserId;

    /**
     * 应用id或商品id
     */
    private Long targetId;
    /**
     *类型（APP/PRODUCT）
     */
    private String targetType;
    /**
     *封面图
     */
    private String coverImg;
    /**
     *标题
     */
    private String title;
    /**
     *待审核/确认数量
     */
    private Integer waitCount;
    /**
     *新动态数量
     */
    private Integer newCount;
    /**
     *应用/商品类型编码
     */
    private String typeCode;

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public Long getTargetId() {
        return targetId;
    }

    public void setTargetId(Long targetId) {
        this.targetId = targetId;
    }

    public String getTargetType() {
        return targetType;
    }

    public void setTargetType(String targetType) {
        this.targetType = targetType;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getWaitCount() {
        return waitCount;
    }

    public void setWaitCount(Integer waitCount) {
        this.waitCount = waitCount;
    }

    public Integer getNewCount() {
        return newCount;
    }

    public void setNewCount(Integer newCount) {
        this.newCount = newCount;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    @Override
    public String toString() {
        return "BacklogQueueDto{" +
                "adviserId=" + adviserId +
                ", targetId=" + targetId +
                ", targetType='" + targetType + '\'' +
                ", coverImg='" + coverImg + '\'' +
                ", title='" + title + '\'' +
                ", waitCount=" + waitCount +
                ", newCount=" + newCount +
                ", typeCode='" + typeCode + '\'' +
                '}';
    }
}
